/*

*/

import renderer.scene.*;
import renderer.framebuffer.*;
import renderer.pipeline.*;

import java.awt.Color;

/**
   This program shows that the clipping problem from the first
   renderer has been fixed by the clipping stage in this renderer.
*/
public class SomethingWrong_1_fixed
{
   public static void main(String[] args)
   {
      final Scene scene = new Scene();
      final Model model = new Model("Something Wrong 1");
      scene.addModel(model);

      model.addVertex(new Vertex(0.00000002, 0.00000002, -0.00000001),
                      new Vertex(1.0,        1.0,        -0.00000001));

      model.addLineSegment(new LineSegment(0, 1));

      final FrameBuffer fb = new FrameBuffer(100, 100);
      fb.clearFB(Color.darkGray);
      Pipeline.debug = true;
      Clip.debug = true;
      Rasterize.debug = true;
      Pipeline.render(scene, fb);
      fb.dumpFB2File("SomethingWrong_1_fixed.ppm");
   }
}
